Subject: Re: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Nov 2022 14:01:54 +0200

> From: João Távora <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 11 Nov 2022 09:45:06 +0000
> 
> >But future Emacs developers and maintainers might
> > not have such insight, and I'm trying to represent them.  This is part
> > of my job and my responsibility.  And since comments can never
> > adversely affect code, I see no reason for you to object.
> 
> Comments are not a 0-cost thing, obviously They can hamper readability,
> they contribute e.g. to a small function no longer fitting in one
> screen.  They present a maintenance burden too and a source of
> duplication.

IME, these costs, while real, are dwarfed by the costs of making bad
changes due to misunderstanding of why the code does what it does.

And if I'm asking a contributor to add comments explaining why the
code does what it does, it's usually because I didn't understand that
by just looking at the code.  And if I don't immediately understand
that, there arew good chances quite a few others won't.

> These are their drawbacks, but they have many many
> advantages too, of course.  You'll see me using comments very often.

So we are in agreement?